# clx_flutter_util

工具类 flutter 插件

## Getting Started

### 1. 添加依赖

```yaml
dependencies:
  clx_flutter_util: ^0.0.1
```

### 2. 使用

```dart
import 'package:clx_flutter_util/clx_flutter_util.dart';
```

### 3. 维护说明 

#### 3.1 版本号规则 

- 主版本号：当你做了不兼容的 API 修改
- 次版本号：当你做了向下兼容的功能性新增
- 修订号：当你做了向下兼容的问题修正


```yaml
version: 1.0.0
```

#### 3.2 代码评审原则

- 代码规范
- 代码可读性
- 代码注释
- 代码测试



#### 3.3 版本发布

```shell
# 1. 修改版本号
# 2. 编写example示例代码和README.md
# 3. 修改CHANGELOG.md
# 4. 提交代码
# 5. 打tag
# 6. 创建分支
# 7. 推送分支和 tag
```

### 4. 使用说明

#### 4.1 Toast

```dart
// 显示
ToastUtil.showToast('toast');
```

#### 4.2 Log

```dart
// 打印
logger.i('log');
```


#### 4.3 Sp

```dart
// 保存
SpUtil.putString('key', 'value');
// 获取
SpUtil.getString('key');
```


